Package it.ernytech.tdlib

## Class TdApi.SearchChats

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SearchChats

Enclosing class:
  TdApi

    public static class TdApi.SearchChats
    extends TdApi.Function

Searches for the specified query in the title and username of already known chats, this is an offline request. Returns chats in the order seen in the chat list.

Returns `Chats`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `limit` Maximum number of chats to be returned.
`java.lang.String` `query` Query to search for.

### Constructor Summary

Constructors
`SearchChats()` Default constructor.
`SearchChats​(java.lang.String query, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### query

    public java.lang.String query

Query to search for. If the query is empty, returns up to 20 recently found chats.

#### limit

    public int limit

Maximum number of chats to be returned.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SearchChats

    public SearchChats()

Default constructor.

#### SearchChats

    public SearchChats​(java.lang.String query,
                       int limit)

Constructor for initialization of all fields.

Parameters:
  `query` - Query to search for. If the query is empty, returns up to 20 recently found chats.
  `limit` - Maximum number of chats to be returned.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR